# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#**************************************************************
# Create Clock
#**************************************************************
derive_pll_clocks
derive_clock_uncertainty
 
create_clock -name {fpga_system_clk} -period 10.000 -waveform {0 5} {fpga_system_clk}
create_clock -name {altera_reserved_tck} -period 41.667 [get_ports { altera_reserved_tck }]
#**************************************************************
# Create Generated Clock
#************************************************************** 
#**************************************************************
# Set Clock Latency
#**************************************************************
#**************************************************************
# Set Clock Uncertainty
#**************************************************************
#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tms]
set_input_delay  -clock { sys_pll_inst|iopll_0_outclk0 } 5   [get_ports {clkcleaner_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {clkcleaner_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {clkcleaner_scl}]
set_false_path -from [get_ports {clkcleaner_scl}] -to *
set_input_delay  -clock { sys_pll_inst|iopll_0_outclk0 } 5   [get_ports {qsfp_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {qsfp_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {qsfp_i2c_scl}]
set_false_path -from [get_ports {qsfp_i2c_scl}] -to *
set_input_delay  -clock { sys_pll_inst|iopll_0_outclk0 } 5   [get_ports {qsfpdd_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {qsfpdd_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {qsfpdd_i2c_scl}]
set_false_path -from [get_ports {qsfpdd_i2c_scl}] -to *
set_input_delay  -clock { sys_pll_inst|iopll_0_outclk0 } 5   [get_ports {sodimm_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {sodimm_i2c_sda}]
set_output_delay -clock { sys_pll_inst|iopll_0_outclk0 } 2.5 [get_ports {sodimm_i2c_scl}]
set_false_path -from [get_ports {sodimm_i2c_scl}] -to *
#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -clock altera_reserved_tck -clock_fall -max 6 [get_ports altera_reserved_tdo]
#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}]  
set_clock_groups -asynchronous -group [get_clocks {fpga_system_clk}]
set_clock_groups -asynchronous -group [get_clocks {sys_pll_inst|iopll_0_outclk0}]
#**************************************************************
# Set False Path
#**************************************************************
set_false_path -from [get_ports fpga_sys_resetn] -to *
set_false_path -from [get_ports {fpga_sw[*]}] -to *
set_false_path -from [get_ports {fpga_pb[*]}] -to *
set_false_path -from [get_ports qsfpdd_modprsn] -to *
set_false_path -from [get_ports qsfpdd_intn] -to *
set_false_path -from [get_ports qsfp_modprsn] -to *
set_false_path -from [get_ports qsfp_intn] -to *
set_false_path -from * -to [get_ports {fpga_led_g[*]}]
set_false_path -from * -to [get_ports {qsfp_initmode}] 
set_false_path -from * -to [get_ports {qsfp_modseln}] 
set_false_path -from * -to [get_ports {qsfp_resetn}]  
set_false_path -from * -to [get_ports {qsfpdd_initmode}] 
set_false_path -from * -to [get_ports {qsfpdd_modseln}] 
set_false_path -from * -to [get_ports {qsfpdd_resetn}]  
#set_false_path -from * -to {auto_fab_0|alt_sld_fab_0|alt_sld_fab_0|auto_signaltap_auto_signaltap_0|sld_signaltap_inst|*}
#set_false_path -from {auto_fab_0|alt_sld_fab_0|alt_sld_fab_0|auto_signaltap_auto_signaltap_0|sld_signaltap_inst|*} -to *
#**************************************************************
# Set Multicycle Path
#**************************************************************
#**************************************************************
# Set Maximum Delay
#**************************************************************
#**************************************************************
# Set Minimum Delay
#**************************************************************
#**************************************************************
# Set Input Transition
#**************************************************************