# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


# request TCL package from ACDS 13.0
# 
package require -exact qsys 13.0
# 
# module freq_counter
# 
set_module_property DESCRIPTION ""
set_module_property NAME freq_counter
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property GROUP Devkit_IPs
set_module_property AUTHOR ""
set_module_property DISPLAY_NAME freq_counter
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false
# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL freq_counter
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file freq_counter.v VERILOG PATH freq_counter.v TOP_LEVEL_FILE
add_fileset SIM_VERILOG SIM_VERILOG "" ""
set_fileset_property SIM_VERILOG TOP_LEVEL freq_counter
set_fileset_property SIM_VERILOG ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file freq_counter.v VERILOG PATH freq_counter.v
# 
# parameters
# 
add_parameter SYSTEM_CLK_FREQ_PICO_SEC INTEGER 20000 "This is the clk that you've already known the frequency to sample target"
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC DEFAULT_VALUE 20000
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC DISPLAY_NAME "SYSTEM CLK frequency in pico seconds"
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC WIDTH ""
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC TYPE INTEGER
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC UNITS None
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC ALLOWED_RANGES 1:2147483647
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC DESCRIPTION "This is the clk that you've already known the frequency to sample target"
set_parameter_property SYSTEM_CLK_FREQ_PICO_SEC HDL_PARAMETER true
#add_parameter DIV INTEGER 0 "Enable clk divider to make system clk slower"
#set_parameter_property DIV DEFAULT_VALUE 0
#set_parameter_property DIV DISPLAY_NAME "Enable clk divider to make system clk slower"
#set_parameter_property DIV TYPE INTEGER
#set_parameter_property DIV UNITS None
#set_parameter_property DIV ALLOWED_RANGES -2147483648:2147483647
#set_parameter_property DIV DESCRIPTION "Enable clk divider to make system clk slower"
#set_parameter_property DIV DISPLAY_HINT boolean
#set_parameter_property DIV HDL_PARAMETER true
# 
# display items
# 
# 
# connection point reset
# 
add_interface reset reset end
set_interface_property reset associatedClock clock
set_interface_property reset synchronousEdges DEASSERT
set_interface_property reset ENABLED true
set_interface_property reset EXPORT_OF ""
set_interface_property reset PORT_NAME_MAP ""
set_interface_property reset SVD_ADDRESS_GROUP ""
add_interface_port reset reset_n reset_n Input 1
# 
# connection point clock
# 
add_interface clock clock end
set_interface_property clock clockRate 0
set_interface_property clock ENABLED true
set_interface_property clock EXPORT_OF ""
set_interface_property clock PORT_NAME_MAP ""
set_interface_property clock SVD_ADDRESS_GROUP ""
add_interface_port clock clk clk Input 1
# 
# connection point csr
# 
add_interface csr avalon end
set_interface_property csr addressUnits WORDS
set_interface_property csr associatedClock clock
set_interface_property csr associatedReset reset
set_interface_property csr bitsPerSymbol 8
set_interface_property csr burstOnBurstBoundariesOnly false
set_interface_property csr burstcountUnits WORDS
set_interface_property csr explicitAddressSpan 0
set_interface_property csr holdTime 0
set_interface_property csr linewrapBursts false
set_interface_property csr maximumPendingReadTransactions 0
set_interface_property csr readLatency 0
set_interface_property csr readWaitTime 1
set_interface_property csr setupTime 0
set_interface_property csr timingUnits Cycles
set_interface_property csr writeWaitTime 0
set_interface_property csr ENABLED true
set_interface_property csr EXPORT_OF ""
set_interface_property csr PORT_NAME_MAP ""
set_interface_property csr SVD_ADDRESS_GROUP ""
add_interface_port csr csr_address address Input 4
add_interface_port csr csr_read read Input 1
add_interface_port csr csr_readdata readdata Output 32
set_interface_assignment csr embeddedsw.configuration.isFlash 0
set_interface_assignment csr embeddedsw.configuration.isMemoryDevice 0
set_interface_assignment csr embeddedsw.configuration.isNonVolatileStorage 0
set_interface_assignment csr embeddedsw.configuration.isPrintableDevice 0
# 
# connection point sample_clock
# 
add_interface sample_clock clock end
set_interface_property sample_clock clockRate 0
set_interface_property sample_clock ENABLED true
set_interface_property sample_clock EXPORT_OF ""
set_interface_property sample_clock PORT_NAME_MAP ""
set_interface_property sample_clock SVD_ADDRESS_GROUP ""
add_interface_port sample_clock sample_clk clk Input 1
