# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


# pll_status_interconnect "pll_status_interconnect" v1.0
# 
# 
# request TCL package from ACDS 13.1
# 
package require -exact qsys 13.1
# 
# module pll_status_interconnect
# 
set_module_property DESCRIPTION ""
set_module_property NAME pll_status_interconnect
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property AUTHOR ""
set_module_property DISPLAY_NAME pll_status_interconnect
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false
set_module_property GROUP Devkit_IPs
# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL pll_status_interconnect
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file pll_status_interconnect.v VERILOG PATH pll_status_interconnect.v TOP_LEVEL_FILE
add_fileset SIM_VERILOG SIM_VERILOG "" ""
set_fileset_property SIM_VERILOG TOP_LEVEL pll_status_interconnect
set_fileset_property SIM_VERILOG ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file pll_status_interconnect.v VERILOG PATH pll_status_interconnect.v
# 
# parameters
# 
add_parameter DATAWIDTH INTEGER 1
set_parameter_property DATAWIDTH DEFAULT_VALUE 1
set_parameter_property DATAWIDTH DISPLAY_NAME DATAWIDTH
set_parameter_property DATAWIDTH TYPE INTEGER
set_parameter_property DATAWIDTH UNITS None
set_parameter_property DATAWIDTH ALLOWED_RANGES 1:2147483647
set_parameter_property DATAWIDTH HDL_PARAMETER true
add_parameter NUM_OF_CH INTEGER 1
set_parameter_property NUM_OF_CH DEFAULT_VALUE 1
set_parameter_property NUM_OF_CH DISPLAY_NAME NUM_OF_CH
set_parameter_property NUM_OF_CH TYPE INTEGER
set_parameter_property NUM_OF_CH UNITS None
set_parameter_property NUM_OF_CH ALLOWED_RANGES 0:2147483647
set_parameter_property NUM_OF_CH HDL_PARAMETER true
# 
# parameters
# 
add_interface pll_locked conduit end
set_interface_property pll_locked associatedClock ""
set_interface_property pll_locked associatedReset ""
set_interface_property pll_locked ENABLED true
set_interface_property pll_locked EXPORT_OF ""
set_interface_property pll_locked PORT_NAME_MAP ""
set_interface_property pll_locked SVD_ADDRESS_GROUP ""
add_interface_port pll_locked pll_locked pll_locked Input DATAWIDTH
# # 
# # parameters
# # 
# add_interface pll_powerdown conduit end
# set_interface_property pll_powerdown associatedClock ""
# set_interface_property pll_powerdown associatedReset ""
# set_interface_property pll_powerdown ENABLED true
# set_interface_property pll_powerdown EXPORT_OF ""
# set_interface_property pll_powerdown PORT_NAME_MAP ""
# set_interface_property pll_powerdown SVD_ADDRESS_GROUP ""
# 
# add_interface_port pll_powerdown pll_powerdown pll_powerdown Output DATAWIDTH
# 
# parameters
# 
add_interface mcgb_rst conduit end
set_interface_property mcgb_rst associatedClock ""
set_interface_property mcgb_rst associatedReset ""
set_interface_property mcgb_rst ENABLED true
set_interface_property mcgb_rst EXPORT_OF ""
set_interface_property mcgb_rst PORT_NAME_MAP ""
set_interface_property mcgb_rst SVD_ADDRESS_GROUP ""
add_interface_port mcgb_rst mcgb_rst mcgb_rst Output DATAWIDTH
# 
# parameters
# 
add_interface pll_locked_output conduit end
set_interface_property pll_locked_output associatedClock ""
set_interface_property pll_locked_output associatedReset ""
set_interface_property pll_locked_output ENABLED true
set_interface_property pll_locked_output EXPORT_OF ""
set_interface_property pll_locked_output PORT_NAME_MAP ""
set_interface_property pll_locked_output SVD_ADDRESS_GROUP ""
add_interface_port pll_locked_output pll_locked_output pll_locked Output DATAWIDTH
#
# callback function
#
set_module_property ELABORATION_CALLBACK    elaborate_me
proc elaborate_me {}  {
  if { [get_parameter_value NUM_OF_CH] >= 1 }  {
		add_interface pll_locked_a conduit end
		set_interface_property pll_locked_a associatedClock ""
		set_interface_property pll_locked_a associatedReset ""
		set_interface_property pll_locked_a ENABLED true
		set_interface_property pll_locked_a EXPORT_OF ""
		set_interface_property pll_locked_a PORT_NAME_MAP ""
		set_interface_property pll_locked_a SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_a pll_locked_a pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_a conduit end
		#set_interface_property pll_powerdown_a associatedClock ""
		#set_interface_property pll_powerdown_a associatedReset ""
		#set_interface_property pll_powerdown_a ENABLED true
		#set_interface_property pll_powerdown_a EXPORT_OF ""
		#set_interface_property pll_powerdown_a PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_a SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_a pll_powerdown_a pll_powerdown Input DATAWIDTH
	}
  if { [get_parameter_value NUM_OF_CH] >= 2 }  {
		add_interface pll_locked_b conduit end
		set_interface_property pll_locked_b associatedClock ""
		set_interface_property pll_locked_b associatedReset ""
		set_interface_property pll_locked_b ENABLED true
		set_interface_property pll_locked_b EXPORT_OF ""
		set_interface_property pll_locked_b PORT_NAME_MAP ""
		set_interface_property pll_locked_b SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_b pll_locked_b pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_b conduit end
		#set_interface_property pll_powerdown_b associatedClock ""
		#set_interface_property pll_powerdown_b associatedReset ""
		#set_interface_property pll_powerdown_b ENABLED true
		#set_interface_property pll_powerdown_b EXPORT_OF ""
		#set_interface_property pll_powerdown_b PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_b SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_b pll_powerdown_b pll_powerdown Input DATAWIDTH
	}
  if { [get_parameter_value NUM_OF_CH] >= 3 }  {
		add_interface pll_locked_c conduit end
		set_interface_property pll_locked_c associatedClock ""
		set_interface_property pll_locked_c associatedReset ""
		set_interface_property pll_locked_c ENABLED true
		set_interface_property pll_locked_c EXPORT_OF ""
		set_interface_property pll_locked_c PORT_NAME_MAP ""
		set_interface_property pll_locked_c SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_c pll_locked_c pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_c conduit end
		#set_interface_property pll_powerdown_c associatedClock ""
		#set_interface_property pll_powerdown_c associatedReset ""
		#set_interface_property pll_powerdown_c ENABLED true
		#set_interface_property pll_powerdown_c EXPORT_OF ""
		#set_interface_property pll_powerdown_c PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_c SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_c pll_powerdown_c pll_powerdown Input DATAWIDTH
	}
  if { [get_parameter_value NUM_OF_CH] >= 4 }  {
		add_interface pll_locked_d conduit end
		set_interface_property pll_locked_d associatedClock ""
		set_interface_property pll_locked_d associatedReset ""
		set_interface_property pll_locked_d ENABLED true
		set_interface_property pll_locked_d EXPORT_OF ""
		set_interface_property pll_locked_d PORT_NAME_MAP ""
		set_interface_property pll_locked_d SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_d pll_locked_d pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_d conduit end
		#set_interface_property pll_powerdown_d associatedClock ""
		#set_interface_property pll_powerdown_d associatedReset ""
		#set_interface_property pll_powerdown_d ENABLED true
		#set_interface_property pll_powerdown_d EXPORT_OF ""
		#set_interface_property pll_powerdown_d PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_d SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_d pll_powerdown_d pll_powerdown Input DATAWIDTH
	}
  if { [get_parameter_value NUM_OF_CH] >= 5 }  {
		
		add_interface pll_locked_e conduit end
		set_interface_property pll_locked_e associatedClock ""
		set_interface_property pll_locked_e associatedReset ""
		set_interface_property pll_locked_e ENABLED true
		set_interface_property pll_locked_e EXPORT_OF ""
		set_interface_property pll_locked_e PORT_NAME_MAP ""
		set_interface_property pll_locked_e SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_e pll_locked_e pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_e conduit end
		#set_interface_property pll_powerdown_e associatedClock ""
		#set_interface_property pll_powerdown_e associatedReset ""
		#set_interface_property pll_powerdown_e ENABLED true
		#set_interface_property pll_powerdown_e EXPORT_OF ""
		#set_interface_property pll_powerdown_e PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_e SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_e pll_powerdown_e pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 6 }  {
		
		add_interface pll_locked_f conduit end
		set_interface_property pll_locked_f associatedClock ""
		set_interface_property pll_locked_f associatedReset ""
		set_interface_property pll_locked_f ENABLED true
		set_interface_property pll_locked_f EXPORT_OF ""
		set_interface_property pll_locked_f PORT_NAME_MAP ""
		set_interface_property pll_locked_f SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_f pll_locked_f pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_f conduit end
		#set_interface_property pll_powerdown_f associatedClock ""
		#set_interface_property pll_powerdown_f associatedReset ""
		#set_interface_property pll_powerdown_f ENABLED true
		#set_interface_property pll_powerdown_f EXPORT_OF ""
		#set_interface_property pll_powerdown_f PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_f SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_f pll_powerdown_f pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 7 }  {
		
		add_interface pll_locked_g conduit end
		set_interface_property pll_locked_g associatedClock ""
		set_interface_property pll_locked_g associatedReset ""
		set_interface_property pll_locked_g ENABLED true
		set_interface_property pll_locked_g EXPORT_OF ""
		set_interface_property pll_locked_g PORT_NAME_MAP ""
		set_interface_property pll_locked_g SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_g pll_locked_g pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_g conduit end
		#set_interface_property pll_powerdown_g associatedClock ""
		#set_interface_property pll_powerdown_g associatedReset ""
		#set_interface_property pll_powerdown_g ENABLED true
		#set_interface_property pll_powerdown_g EXPORT_OF ""
		#set_interface_property pll_powerdown_g PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_g SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_g pll_powerdown_g pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 8 }  {
		
		add_interface pll_locked_h conduit end
		set_interface_property pll_locked_h associatedClock ""
		set_interface_property pll_locked_h associatedReset ""
		set_interface_property pll_locked_h ENABLED true
		set_interface_property pll_locked_h EXPORT_OF ""
		set_interface_property pll_locked_h PORT_NAME_MAP ""
		set_interface_property pll_locked_h SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_h pll_locked_h pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_h conduit end
		#set_interface_property pll_powerdown_h associatedClock ""
		#set_interface_property pll_powerdown_h associatedReset ""
		#set_interface_property pll_powerdown_h ENABLED true
		#set_interface_property pll_powerdown_h EXPORT_OF ""
		#set_interface_property pll_powerdown_h PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_h SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_h pll_powerdown_h pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 9 }  {
		
		add_interface pll_locked_i conduit end
		set_interface_property pll_locked_i associatedClock ""
		set_interface_property pll_locked_i associatedReset ""
		set_interface_property pll_locked_i ENABLED true
		set_interface_property pll_locked_i EXPORT_OF ""
		set_interface_property pll_locked_i PORT_NAME_MAP ""
		set_interface_property pll_locked_i SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_i pll_locked_i pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_i conduit end
		#set_interface_property pll_powerdown_i associatedClock ""
		#set_interface_property pll_powerdown_i associatedReset ""
		#set_interface_property pll_powerdown_i ENABLED true
		#set_interface_property pll_powerdown_i EXPORT_OF ""
		#set_interface_property pll_powerdown_i PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_i SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_i pll_powerdown_i pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 10 }  {
		
		add_interface pll_locked_j conduit end
		set_interface_property pll_locked_j associatedClock ""
		set_interface_property pll_locked_j associatedReset ""
		set_interface_property pll_locked_j ENABLED true
		set_interface_property pll_locked_j EXPORT_OF ""
		set_interface_property pll_locked_j PORT_NAME_MAP ""
		set_interface_property pll_locked_j SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_j pll_locked_j pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_j conduit end
		#set_interface_property pll_powerdown_j associatedClock ""
		#set_interface_property pll_powerdown_j associatedReset ""
		#set_interface_property pll_powerdown_j ENABLED true
		#set_interface_property pll_powerdown_j EXPORT_OF ""
		#set_interface_property pll_powerdown_j PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_j SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_j pll_powerdown_j pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 11 }  {
		
		add_interface pll_locked_k conduit end
		set_interface_property pll_locked_k associatedClock ""
		set_interface_property pll_locked_k associatedReset ""
		set_interface_property pll_locked_k ENABLED true
		set_interface_property pll_locked_k EXPORT_OF ""
		set_interface_property pll_locked_k PORT_NAME_MAP ""
		set_interface_property pll_locked_k SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_k pll_locked_k pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_k conduit end
		#set_interface_property pll_powerdown_k associatedClock ""
		#set_interface_property pll_powerdown_k associatedReset ""
		#set_interface_property pll_powerdown_k ENABLED true
		#set_interface_property pll_powerdown_k EXPORT_OF ""
		#set_interface_property pll_powerdown_k PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_k SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_k pll_powerdown_k pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 12 }  {
		
		add_interface pll_locked_l conduit end
		set_interface_property pll_locked_l associatedClock ""
		set_interface_property pll_locked_l associatedReset ""
		set_interface_property pll_locked_l ENABLED true
		set_interface_property pll_locked_l EXPORT_OF ""
		set_interface_property pll_locked_l PORT_NAME_MAP ""
		set_interface_property pll_locked_l SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_l pll_locked_l pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_l conduit end
		#set_interface_property pll_powerdown_l associatedClock ""
		#set_interface_property pll_powerdown_l associatedReset ""
		#set_interface_property pll_powerdown_l ENABLED true
		#set_interface_property pll_powerdown_l EXPORT_OF ""
		#set_interface_property pll_powerdown_l PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_l SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_l pll_powerdown_l pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 13 }  {
		
		add_interface pll_locked_m conduit end
		set_interface_property pll_locked_m associatedClock ""
		set_interface_property pll_locked_m associatedReset ""
		set_interface_property pll_locked_m ENABLED true
		set_interface_property pll_locked_m EXPORT_OF ""
		set_interface_property pll_locked_m PORT_NAME_MAP ""
		set_interface_property pll_locked_m SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_m pll_locked_m pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_m conduit end
		#set_interface_property pll_powerdown_m associatedClock ""
		#set_interface_property pll_powerdown_m associatedReset ""
		#set_interface_property pll_powerdown_m ENABLED true
		#set_interface_property pll_powerdown_m EXPORT_OF ""
		#set_interface_property pll_powerdown_m PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_m SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_m pll_powerdown_m pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 14 }  {
		
		add_interface pll_locked_n conduit end
		set_interface_property pll_locked_n associatedClock ""
		set_interface_property pll_locked_n associatedReset ""
		set_interface_property pll_locked_n ENABLED true
		set_interface_property pll_locked_n EXPORT_OF ""
		set_interface_property pll_locked_n PORT_NAME_MAP ""
		set_interface_property pll_locked_n SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_n pll_locked_n pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_n conduit end
		#set_interface_property pll_powerdown_n associatedClock ""
		#set_interface_property pll_powerdown_n associatedReset ""
		#set_interface_property pll_powerdown_n ENABLED true
		#set_interface_property pll_powerdown_n EXPORT_OF ""
		#set_interface_property pll_powerdown_n PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_n SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_n pll_powerdown_n pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 15 }  {
		
		add_interface pll_locked_o conduit end
		set_interface_property pll_locked_o associatedClock ""
		set_interface_property pll_locked_o associatedReset ""
		set_interface_property pll_locked_o ENABLED true
		set_interface_property pll_locked_o EXPORT_OF ""
		set_interface_property pll_locked_o PORT_NAME_MAP ""
		set_interface_property pll_locked_o SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_o pll_locked_o pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_o conduit end
		#set_interface_property pll_powerdown_o associatedClock ""
		#set_interface_property pll_powerdown_o associatedReset ""
		#set_interface_property pll_powerdown_o ENABLED true
		#set_interface_property pll_powerdown_o EXPORT_OF ""
		#set_interface_property pll_powerdown_o PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_o SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_o pll_powerdown_o pll_powerdown Input DATAWIDTH
	}
	if { [get_parameter_value NUM_OF_CH] >= 16 }  {
		
		add_interface pll_locked_p conduit end
		set_interface_property pll_locked_p associatedClock ""
		set_interface_property pll_locked_p associatedReset ""
		set_interface_property pll_locked_p ENABLED true
		set_interface_property pll_locked_p EXPORT_OF ""
		set_interface_property pll_locked_p PORT_NAME_MAP ""
		set_interface_property pll_locked_p SVD_ADDRESS_GROUP ""
		add_interface_port pll_locked_p pll_locked_p pll_locked Output DATAWIDTH
		#add_interface pll_powerdown_p conduit end
		#set_interface_property pll_powerdown_p associatedClock ""
		#set_interface_property pll_powerdown_p associatedReset ""
		#set_interface_property pll_powerdown_p ENABLED true
		#set_interface_property pll_powerdown_p EXPORT_OF ""
		#set_interface_property pll_powerdown_p PORT_NAME_MAP ""
		#set_interface_property pll_powerdown_p SVD_ADDRESS_GROUP ""
        #
		#add_interface_port pll_powerdown_p pll_powerdown_p pll_powerdown Input DATAWIDTH
	}
}
