# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#**************************************************************
# Create Clock
#**************************************************************
derive_pll_clocks
derive_clock_uncertainty
 
create_clock -name {REFCLK_GXEP0} -period 6.206 [ get_ports REFCLK_GXEP0]
create_clock -name {FPGA_GPIO_REFCLK} -period 10.000 -waveform {0 5} {FPGA_GPIO_REFCLK}
create_clock -name {FPGA_SYSTEM_CLK} -period 10.000 -waveform {0 5} {FPGA_SYSTEM_CLK} 
create_clock -name {altera_reserved_tck} -period 41.667 [get_ports { altera_reserved_tck }]
#**************************************************************
# Create Generated Clock
#************************************************************** 
 
#**************************************************************
# Set Clock Latency
#**************************************************************
#**************************************************************
# Set Clock Uncertainty
#**************************************************************
#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tms]
set_input_delay  -clock {sys_pll_inst|iopll_0_outclk0} 5   [get_ports {QSFPDD_I2C_SDA}]
set_output_delay -clock {sys_pll_inst|iopll_0_outclk0} 2.5 [get_ports {QSFPDD_I2C_SDA}]
#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -clock altera_reserved_tck -clock_fall -max 6 [get_ports altera_reserved_tdo]
set_output_delay -clock {sys_pll_inst|iopll_0_outclk0} 2.5 [get_ports {QSFPDD_I2C_SCL}]
#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}]  
set_clock_groups -asynchronous -group [get_clocks {REFCLK_GXEP0}]
set_clock_groups -asynchronous -group [get_clocks {FPGA_GPIO_REFCLK}]
set_clock_groups -asynchronous -group [get_clocks {FPGA_SYSTEM_CLK}]
set_clock_groups -asynchronous -group [get_clocks {sys_pll_inst|iopll_0_outclk0}]    
#**************************************************************
# Set False Path
#**************************************************************
set_false_path -from [get_ports FPGA_SYS_RESETN] -to *
set_false_path -from [get_ports QSFPDD_MODPRSN] -to *
set_false_path -from [get_ports QSFPDD_INTN] -to *
set_false_path -from * -to [get_ports {FPGA_LED_G[*]}]
set_false_path -from * -to [get_ports {QSFPDD_INITMODE}] 
set_false_path -from * -to [get_ports {QSFPDD_MODSELN}] 
set_false_path -from * -to [get_ports {QSFPDD_RESETN}]  
set_false_path -from [get_ports {QSFPDD_I2C_SCL}] -to *
set_false_path -from {sys_pll_inst|iopll_0|tennm_pll~pll_e_reg__nff} -to *
#**************************************************************
# Set Multicycle Path
#**************************************************************
#**************************************************************
# Set Maximum Delay
#**************************************************************
#**************************************************************
# Set Minimum Delay
#**************************************************************
#**************************************************************
# Set Input Transition
#**************************************************************