// (C) 2001-2024 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


/*
This module is to interconnect XCVR user FIFO in Qsys platform
*/
module  xcvr_user_rx_fifo_converter(
        input    wire [63:0]  data_pattern_checker_pattern_in              ,     // interconnections
        input    wire         data_pattern_checker_pattern_in_clk          ,     // interconnections
        input    wire         data_pattern_checker_pattern_in_fifo_read_clk,     // interconnections
        output   reg  [127:0]  data_pattern_checker_pattern_in_fifo_read    ,     // interconnections
        output   reg          data_pattern_checker_rx_fifo_rdempty         ,     // interconnections
        output   reg          data_pattern_checker_rx_fifo_wrfull          ,     // interconnections
        output   reg  [63:0]  data    , //  fifo_input.datain
        output   reg          wrreq   , //            .wrreq
        output   reg          rdreq   , //            .rdreq
        output   wire         wrclk   , //            .wrclk
        output   wire         rdclk   , //            .rdclk
        input    wire [127:0]  q      , // fifo_output.dataout
        input    wire         rdempty , //            .rdempty
        input    wire         wrfull    //            .wrfull
);
//    assign       data  = data_pattern_checker_pattern_in;
//    assign       wrreq = 1'b1;
//    assign       rdreq = 1'b1;
    assign       wrclk = data_pattern_checker_pattern_in_clk;
    assign       rdclk = data_pattern_checker_pattern_in_fifo_read_clk;
//    assign       data_pattern_checker_pattern_in_fifo_read = q;
//    assign       data_pattern_checker_rx_fifo_rdempty      = rdempty;
//    assign       data_pattern_checker_rx_fifo_wrfull       = wrfull;
reg [63:0] reg1_data                                ;
reg        reg1_data_pattern_checker_rx_fifo_wrfull ;
reg        reg1_wrreq                               ;
reg [127:0] reg1_data_pattern_checker_pattern_in_fifo_read ;
reg        reg1_rdreq                                      ;
reg        reg1_data_pattern_checker_rx_fifo_rdempty       ;
//to use hyper register to improve the timing, 
always @ (posedge data_pattern_checker_pattern_in_clk)
begin
reg1_data                                 <= data_pattern_checker_pattern_in ;
reg1_data_pattern_checker_rx_fifo_wrfull  <= wrfull                          ;
reg1_wrreq                                <= 1'b1                            ;
	
data                                      <= reg1_data                                ;
data_pattern_checker_rx_fifo_wrfull       <= reg1_data_pattern_checker_rx_fifo_wrfull ;
wrreq                                     <= reg1_wrreq                               ;
end
always @ (posedge data_pattern_checker_pattern_in_fifo_read_clk)
begin
reg1_data_pattern_checker_pattern_in_fifo_read <= q       ;
reg1_rdreq                                     <= 1'b1    ;
reg1_data_pattern_checker_rx_fifo_rdempty      <= rdempty ;
data_pattern_checker_pattern_in_fifo_read      <= reg1_data_pattern_checker_pattern_in_fifo_read ;
rdreq                                          <= reg1_rdreq                                     ;
data_pattern_checker_rx_fifo_rdempty           <= reg1_data_pattern_checker_rx_fifo_rdempty      ;
end
endmodule
