/*******************************************************************************
* Copyright (C) 2001-2025 Altera Corporation
*
* This code and the related documents are Altera copyrighted materials and
* your use of them is governed by the express license under which they were
* provided to you ("License"). Unless the License provides otherwise, you may
* not use, modify, copy, publish, distribute, disclose, or transmit this
* code or the related documents without Altera's prior written permission.
* 
* This code and the related documents are provided as is, with no express
* or implied warranties other than those that are expressly stated in the
* License.
* 
*******************************************************************************/


/*
This module is to interconnect XCVR user FIFO in Qsys platform
*/
module  xcvr_user_rx_fifo_converter(
        input    wire [63:0]  data_pattern_checker_pattern_in              ,     // interconnections
        input    wire         data_pattern_checker_pattern_in_clk          ,     // interconnections
        input    wire         data_pattern_checker_pattern_in_fifo_read_clk,     // interconnections
        output   reg  [127:0]  data_pattern_checker_pattern_in_fifo_read    ,     // interconnections
        output   reg          data_pattern_checker_rx_fifo_rdempty         ,     // interconnections
        output   reg          data_pattern_checker_rx_fifo_wrfull          ,     // interconnections
        output   reg  [63:0]  data    , //  fifo_input.datain
        output   reg          wrreq   , //            .wrreq
        output   reg          rdreq   , //            .rdreq
        output   wire         wrclk   , //            .wrclk
        output   wire         rdclk   , //            .rdclk
        input    wire [127:0]  q      , // fifo_output.dataout
        input    wire         rdempty , //            .rdempty
        input    wire         wrfull    //            .wrfull
);
//    assign       data  = data_pattern_checker_pattern_in;
//    assign       wrreq = 1'b1;
//    assign       rdreq = 1'b1;
    assign       wrclk = data_pattern_checker_pattern_in_clk;
    assign       rdclk = data_pattern_checker_pattern_in_fifo_read_clk;
//    assign       data_pattern_checker_pattern_in_fifo_read = q;
//    assign       data_pattern_checker_rx_fifo_rdempty      = rdempty;
//    assign       data_pattern_checker_rx_fifo_wrfull       = wrfull;
reg [63:0] reg1_data                                ;
reg        reg1_data_pattern_checker_rx_fifo_wrfull ;
reg        reg1_wrreq                               ;
reg [127:0] reg1_data_pattern_checker_pattern_in_fifo_read ;
reg        reg1_rdreq                                      ;
reg        reg1_data_pattern_checker_rx_fifo_rdempty       ;
//to use hyper register to improve the timing, 
always @ (posedge data_pattern_checker_pattern_in_clk)
begin
reg1_data                                 <= data_pattern_checker_pattern_in ;
reg1_data_pattern_checker_rx_fifo_wrfull  <= wrfull                          ;
reg1_wrreq                                <= 1'b1                            ;
	
data                                      <= reg1_data                                ;
data_pattern_checker_rx_fifo_wrfull       <= reg1_data_pattern_checker_rx_fifo_wrfull ;
wrreq                                     <= reg1_wrreq                               ;
end
always @ (posedge data_pattern_checker_pattern_in_fifo_read_clk)
begin
reg1_data_pattern_checker_pattern_in_fifo_read <= q       ;
reg1_rdreq                                     <= 1'b1    ;
reg1_data_pattern_checker_rx_fifo_rdempty      <= rdempty ;
data_pattern_checker_pattern_in_fifo_read      <= reg1_data_pattern_checker_pattern_in_fifo_read ;
rdreq                                          <= reg1_rdreq                                     ;
data_pattern_checker_rx_fifo_rdempty           <= reg1_data_pattern_checker_rx_fifo_rdempty      ;
end
endmodule
