// INTEL CONFIDENTIAL
// Copyright 2019 Intel Corporation.  All Rights Reserved.
//
// The source code contained or described herein and all documents related
// to the source code ("Material") are owned by Intel Corporation or its
// suppliers or licensors. Title to the Material remains with Intel
// Corporation or its suppliers and licensors. The Material contains trade
// secrets and proprietary and confidential information of Intel or its
// suppliers and licensors. The Material is protected by worldwide copyright
// and trade secret laws and treaty provisions. No part of the Material may
// be used, copied, reproduced, modified, published, uploaded, posted,
// transmitted, distributed, or disclosed in any way without Intel's prior
// express written permission.
//
// No license under any patent, copyright, trade secret or other intellectual
// property right is granted to or conferred upon you by disclosure or
// delivery of the Materials, either expressly, by implication, inducement,
// estoppel or otherwise. Any license under such intellectual property rights
// must be express and approved by Intel in writing.

`timescale 1ns / 100ps

module  pb_filter #(
        parameter	         FILTER_WIDTH = 14, // even number: 2, 4, 6, 8 ...
        parameter            INIT_BIT     = 1
        )
        (
        input   wire        I_reset_n           , 
        input   wire        I_clk               ,		
        input   wire [5:0]  I_user_pb           ,
        output  wire [5:0]  O_filtered_user_pb   
        );


filter_circuit      #(
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )                                               
    filter_circuit_pb_inst0                         
    (                                               
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[0]          ), 
    .o_frameout               (O_filtered_user_pb[0] )  
    );                                                   
                                                         
filter_circuit      #(                                   
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )                                               
    filter_circuit_pb_inst1                         
    (                                               
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[1]          ), 
    .o_frameout               (O_filtered_user_pb[1] )  
    );                                                   
	                                                     
filter_circuit      #(                                   
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )                                                
    filter_circuit_pb_inst2                          
    (                                                
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[2]          ), 
    .o_frameout               (O_filtered_user_pb[2] )  
    );                                                   
                                                         
filter_circuit      #(                                   
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )                                                
    filter_circuit_pb_inst3                          
    (                                                
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[3]          ), 
    .o_frameout               (O_filtered_user_pb[3] )  
    );                                                  
													 
filter_circuit      #(                               
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )                                                
    filter_circuit_pb_inst4                          
    (                                                
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[4]          ), 
    .o_frameout               (O_filtered_user_pb[4] )  
    );

filter_circuit      #(
    .FILTER_WIDTH             (FILTER_WIDTH          ), 
    .INIT_BIT                 (INIT_BIT              )  
    )
    filter_circuit_pb_inst5
    (
    .i_clk_rst                (!I_reset_n            ), 
    .i_clk                    (I_clk                 ), 
    .i_framein                (I_user_pb[5]          ), 
    .o_frameout               (O_filtered_user_pb[5] )  
    );

endmodule
//------------------------------------------------------------------------------
// end of file
//------------------------------------------------------------------------------