
derive_pll_clocks
derive_clock_uncertainty

create_clock -name {altera_reserved_tck} -period 41.667 -waveform { 0.000 20.833 } [get_ports {altera_reserved_tck}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tms}]
set_output_delay -add_delay -fall -max -clock_fall -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdo}]
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 

 

#clocks
create_clock -name {clk_50m_sysmax} -period 20.000 [get_ports {clk_50m_sysmax}]
create_generated_clock -name {avst_clk} -source { clk_50m_sysmax } -divide_by 1 [get_ports {avst_clk}]


# QSPI interface - FPGA image
#set_output_delay -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io1}]
#set_output_delay -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io3}]
#set_output_delay -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io4}]
#set_output_delay -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io5}]
#set_output_delay -clock { clk_50m_sysmax } -rise -min 1 [get_ports {flash_dc1_io0}]
#set_output_delay -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io2}]
#set_input_delay  -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io1}]
#set_input_delay  -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io3}]
#set_input_delay  -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io4}]
#set_input_delay  -clock { clk_50m_sysmax } -rise -min 5 [get_ports {flash_dc1_io5}]

create_generated_clock -name FLASH_CLK  -source [get_ports {clk_50m_sysmax}] [get_ports {flash_dc1_io0}]
#flash_dc1_io1/3/4/5 = QSPI flash data pins, 
#flash_dc1_io2 = QSPI flash chip select pins
set flash_data_tracemax 0.250
set flash_data_tracemin 0.000
set flash_clk_tracemax 0.250
set flash_clk_tracemin 0.000
set flash_Tsu 2.700
set flash_Th 2.000
set flash_out_max_dly [expr $flash_data_tracemax + $flash_Tsu - $flash_clk_tracemin]
set flash_out_min_dly [expr $flash_data_tracemin - $flash_Th - $flash_clk_tracemax]

set_output_delay -add_delay -max -clock [get_clocks FLASH_CLK ] $flash_out_max_dly [get_ports {flash_dc1_io1 flash_dc1_io3 flash_dc1_io4 flash_dc1_io5 flash_dc1_io2}]
set_output_delay -add_delay -min -clock [get_clocks FLASH_CLK ] $flash_out_min_dly [get_ports { flash_dc1_io1 flash_dc1_io3 flash_dc1_io4 flash_dc1_io5 flash_dc1_io2}]

set flash_tco_max 7.000
set flash_tco_min 1.000
set in_max_dly [expr $flash_data_tracemax + $flash_tco_max + $flash_clk_tracemax]
set in_min_dly [expr $flash_data_tracemin + $flash_tco_min + $flash_clk_tracemin]

set_input_delay -clock FLASH_CLK  -max $in_max_dly [get_ports {flash_dc1_io1 flash_dc1_io3 flash_dc1_io4 flash_dc1_io5}]
set_input_delay -clock FLASH_CLK  -min $in_min_dly [get_ports {flash_dc1_io1 flash_dc1_io3 flash_dc1_io4 flash_dc1_io5}]


##Center aligned
set_output_delay -add_delay -max -clock [get_clocks {avst_clk}] 8.000 [get_ports {avst_d[*]}]
set_output_delay -add_delay -min -clock [get_clocks {avst_clk}] -1.000 [get_ports {avst_d[*]}]
set_input_delay  -add_delay      -clock [get_clocks {avst_clk}] 8.000 [get_ports {avst_ready}]
set_output_delay -add_delay      -clock [get_clocks {avst_clk}] 8.000 [get_ports {avst_data_valid}]

set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {sdm_i2c_sda}]
set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {sdm_i2c_scl}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {sdm_i2c_sda}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {sdm_i2c_scl}]

set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {sysmax_i2c_sda}]
set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {sysmax_i2c_scl}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {sysmax_i2c_sda}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {sysmax_i2c_scl}]

set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {m2f_i2c_sda}]
set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {m2f_i2c_scl}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {m2f_i2c_sda}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {m2f_i2c_scl}]

set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {i2c_pcie_sda}]
set_input_delay  -clock { clk_50m_sysmax } 5   [get_ports {i2c_pcie_scl}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {i2c_pcie_sda}]
set_output_delay -clock { clk_50m_sysmax } 2.5 [get_ports {i2c_pcie_scl}]

set_false_path -from [get_ports {fpga_msel[0] }] -to *
set_false_path -from [get_ports {fpga_msel[1] }] -to *
set_false_path -from [get_ports {fpga_msel[2] }] -to *
set_false_path -from [get_ports {fpga_nstatus }] -to *
set_false_path -from [get_ports {max_scl      }] -to *
set_false_path -from [get_ports {max_sda      }] -to *
set_false_path -from [get_ports {overtempn    }] -to *
set_false_path -from [get_ports {pg_fpga      }] -to *
set_false_path -from [get_ports {pg_sysmax    }] -to *
set_false_path -from [get_ports {sdm_io16     }] -to *
set_false_path -from [get_ports {sysmax_pb[0] }] -to *
set_false_path -from [get_ports {sysmax_pb[1] }] -to *
set_false_path -from [get_ports {sysmax_pb[2] }] -to *
set_false_path -from [get_ports {sysmax_pb[3] }] -to *
set_false_path -from [get_ports {sysmax_pb[4] }] -to *
set_false_path -from [get_ports {sysmax_pb[5] }] -to *
set_false_path -from [get_ports {sysmax_sw[0] }] -to *
set_false_path -from [get_ports {sysmax_sw[1] }] -to *
set_false_path -from [get_ports {sysmax_sw[2] }] -to *
set_false_path -from [get_ports {sysmax_sw[3] }] -to *
set_false_path -from [get_ports {sysmax_sw[4] }] -to *
set_false_path -from [get_ports {sysmax_sw[5] }] -to *
set_false_path -from [get_ports {hps_proc_rstn}] -to *
set_false_path -from [get_ports {hps_crstn}]     -to *
set_false_path -from [get_ports {sdm_io15}]      -to *

set_false_path -from * -to [get_ports {clkcleaner_io_tsn }]
set_false_path -from * -to [get_ports {eth_io_tsn        }]
set_false_path -from * -to [get_ports {fpga_nconfig      }]
set_false_path -from * -to [get_ports {hps_dc_resetn     }]
set_false_path -from * -to [get_ports {i2c_3_3v_en       }]
set_false_path -from * -to [get_ports {max10_overtemp    }]
set_false_path -from * -to [get_ports {max_scl           }]
set_false_path -from * -to [get_ports {max_sda           }]
set_false_path -from * -to [get_ports {pcie_ep_perstn    }]
set_false_path -from * -to [get_ports {pcie_rc_perstn    }]
set_false_path -from * -to [get_ports {pmbus_vid_en      }]
set_false_path -from * -to [get_ports {qsfp_io_tsn       }]
set_false_path -from * -to [get_ports {qsfpdd_io_tsn     }]
set_false_path -from * -to [get_ports {si5338_oen        }]
set_false_path -from * -to [get_ports {si52202_oen       }]
set_false_path -from * -to [get_ports {si53311_oe        }]
set_false_path -from * -to [get_ports {sodimm_io_tsn     }]
set_false_path -from * -to [get_ports {sysmax_led_g[0]   }]
set_false_path -from * -to [get_ports {sysmax_led_g[1]   }]
set_false_path -from * -to [get_ports {sysmax_led_g[2]   }]
set_false_path -from * -to [get_ports {sysmax_led_g[3]   }]
set_false_path -from * -to [get_ports {sysmax_led_g[4]   }]
set_false_path -from * -to [get_ports {sysmax_led_y[0]   }]
set_false_path -from * -to [get_ports {sysmax_led_y[1]   }]
set_false_path -from * -to [get_ports {fpga_sys_resetn   }]
set_false_path -from * -to [get_ports {hps_crstn         }]
set_false_path -from * -to [get_ports {sdm_io15          }]
set_false_path -from * -to [get_ports {fan_rpm           }]