	component pfl2 is
		port (
			pfl_nreset               : in    std_logic                     := 'X';             -- reset_n
			pfl_flash_access_granted : in    std_logic                     := 'X';             -- pfl_flash_access_granted
			pfl_flash_access_request : out   std_logic;                                        -- pfl_flash_access_request
			pfl_clk                  : in    std_logic                     := 'X';             -- clk
			avst_valid               : out   std_logic;                                        -- valid
			avst_ready               : in    std_logic                     := 'X';             -- ready
			avst_data                : out   std_logic_vector(31 downto 0);                    -- data
			avst_clk                 : out   std_logic;                                        -- avst_clk
			fpga_pgm                 : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- fpga_pgm
			fpga_conf_done           : in    std_logic                     := 'X';             -- fpga_conf_done
			fpga_nstatus             : in    std_logic                     := 'X';             -- fpga_nstatus
			fpga_nconfig             : out   std_logic;                                        -- fpga_nconfig
			flash_sck                : out   std_logic;                                        -- flash_sck
			flash_ncs                : out   std_logic;                                        -- flash_ncs
			flash_io0                : inout std_logic                     := 'X';             -- flash_io0
			flash_io1                : inout std_logic                     := 'X';             -- flash_io1
			flash_io2                : inout std_logic                     := 'X';             -- flash_io2
			flash_io3                : inout std_logic                     := 'X';             -- flash_io3
			pfl_nreconfigure         : in    std_logic                     := 'X'              -- pfl_nreconfigure
		);
	end component pfl2;

	u0 : component pfl2
		port map (
			pfl_nreset               => CONNECTED_TO_pfl_nreset,               --               pfl_nreset.reset_n
			pfl_flash_access_granted => CONNECTED_TO_pfl_flash_access_granted, -- pfl_flash_access_granted.pfl_flash_access_granted
			pfl_flash_access_request => CONNECTED_TO_pfl_flash_access_request, -- pfl_flash_access_request.pfl_flash_access_request
			pfl_clk                  => CONNECTED_TO_pfl_clk,                  --                  pfl_clk.clk
			avst_valid               => CONNECTED_TO_avst_valid,               --            avalon_source.valid
			avst_ready               => CONNECTED_TO_avst_ready,               --                         .ready
			avst_data                => CONNECTED_TO_avst_data,                --                         .data
			avst_clk                 => CONNECTED_TO_avst_clk,                 --                 avst_clk.avst_clk
			fpga_pgm                 => CONNECTED_TO_fpga_pgm,                 --                 fpga_pgm.fpga_pgm
			fpga_conf_done           => CONNECTED_TO_fpga_conf_done,           --           fpga_conf_done.fpga_conf_done
			fpga_nstatus             => CONNECTED_TO_fpga_nstatus,             --             fpga_nstatus.fpga_nstatus
			fpga_nconfig             => CONNECTED_TO_fpga_nconfig,             --             fpga_nconfig.fpga_nconfig
			flash_sck                => CONNECTED_TO_flash_sck,                --                flash_sck.flash_sck
			flash_ncs                => CONNECTED_TO_flash_ncs,                --                flash_ncs.flash_ncs
			flash_io0                => CONNECTED_TO_flash_io0,                --                flash_io0.flash_io0
			flash_io1                => CONNECTED_TO_flash_io1,                --                flash_io1.flash_io1
			flash_io2                => CONNECTED_TO_flash_io2,                --                flash_io2.flash_io2
			flash_io3                => CONNECTED_TO_flash_io3,                --                flash_io3.flash_io3
			pfl_nreconfigure         => CONNECTED_TO_pfl_nreconfigure          --         pfl_nreconfigure.pfl_nreconfigure
		);

